diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -13575,13 +13671,13 @@ (define-public rust-data-encoding-2
     (name "rust-data-encoding")
     (version "2.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "data-encoding" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "027rcrwdschrkdr2n9d24gnh03vl41qmvhjqn9vn6z1njy2n0flr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "data-encoding" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "027rcrwdschrkdr2n9d24gnh03vl41qmvhjqn9vn6z1njy2n0flr"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/ia0/data-encoding")
     (synopsis "Efficient and customizable data-encoding functions")
@@ -13595,14 +13691,14 @@ (define-public rust-data-url-0.1
     (name "rust-data-url")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "data-url" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "176wa1n8h71iwyaxhar4sqwrgrvb5sxk26az0fy88vnxrsffjgyk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "data-url" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "176wa1n8h71iwyaxhar4sqwrgrvb5sxk26az0fy88vnxrsffjgyk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -13622,28 +13718,28 @@ (define-public rust-datetime-0.4
     (name "rust-datetime")
     (version "0.4.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "datetime" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fd74bq48xg8ki5yw1mr1pa5hd3j5lbk4iqc5r0kh3l62b0vci2w"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-        (("rust-iso8601" ,rust-iso8601-0.1)
-         ("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-locale" ,rust-locale-0.2)
-         ("rust-num-traits" ,rust-num-traits-0.1)
-         ("rust-pad" ,rust-pad-0.1)
-         ("rust-redox-syscall" ,rust-redox-syscall-0.1)
-         ("rust-winapi" ,rust-winapi-0.2))
-        #:cargo-development-inputs
-        (("rust-regex" ,rust-regex-0.1)
-         ("rust-rustc-serialize" ,rust-rustc-serialize-0.3))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "datetime" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fd74bq48xg8ki5yw1mr1pa5hd3j5lbk4iqc5r0kh3l62b0vci2w"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-iso8601" ,rust-iso8601-0.1)
+        ("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-locale" ,rust-locale-0.2)
+        ("rust-num-traits" ,rust-num-traits-0.1)
+        ("rust-pad" ,rust-pad-0.1)
+        ("rust-redox-syscall" ,rust-redox-syscall-0.1)
+        ("rust-winapi" ,rust-winapi-0.2))
+       #:cargo-development-inputs
+       (("rust-regex" ,rust-regex-0.1)
+        ("rust-rustc-serialize" ,rust-rustc-serialize-0.3))))
     (home-page "https://github.com/rust-datetime/datetime")
     (synopsis "Library for date and time formatting and arithmetic")
     (description "This package provides a library for date and time formatting
@@ -13655,22 +13751,22 @@ (define-public rust-dbl-0.3
     (name "rust-dbl")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dbl" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "1pihf6zrzncbs3lsyqkzxxxqmjf8rfpwvs1sg8nmz8cv7df18d97"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dbl" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1pihf6zrzncbs3lsyqkzxxxqmjf8rfpwvs1sg8nmz8cv7df18d97"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-generic-array" ,rust-generic-array-0.14))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-generic-array" ,rust-generic-array-0.14))))
     (home-page "https://docs.rs/dbl")
     (synopsis "Double operation in Galois Field")
     (description
-      "This package provides double and inverse double over Galois Field -
+     "This package provides double and inverse double over Galois Field -
 GF(2^n).  This trait is implemented for 64, 128 and 256 bit block
 sizes.  Big-endian order is used.  WARNING: Block must be aligned!")
     (license (list license:expat license:asl2.0))))
@@ -13804,14 +13900,14 @@ (define-public rust-decimal-2
     (name "rust-decimal")
     (version "2.0.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "decimal" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1vb3i8vg1dxrw3kzbfiag3gg7rdjd73z80mwbwkq60vnphiqfig6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "decimal" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1vb3i8vg1dxrw3kzbfiag3gg7rdjd73z80mwbwkq60vnphiqfig6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -13858,13 +13954,13 @@ (define-public rust-deflate-0.9
     (name "rust-deflate")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "deflate" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0w0ww0hrq4bjnihxgbnrri4lj5c8yzg31fyzx36fd9pvvw2vz5az"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "deflate" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0w0ww0hrq4bjnihxgbnrri4lj5c8yzg31fyzx36fd9pvvw2vz5az"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; not all test files included
@@ -13885,22 +13981,22 @@ (define-public rust-deflate-0.8
     (name "rust-deflate")
     (version "0.8.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "deflate" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0x6iqlayg129w63999kz97m279m0jj4x4sm6gkqlvmp73y70yxvk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "deflate" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0x6iqlayg129w63999kz97m279m0jj4x4sm6gkqlvmp73y70yxvk"))))
     (arguments
      `(#:tests? #f      ; not all test files included
        #:cargo-inputs
-         (("rust-adler32" ,rust-adler32-1)
-          ("rust-byteorder" ,rust-byteorder-1)
-          ("rust-gzip-header" ,rust-gzip-header-0.3))
+       (("rust-adler32" ,rust-adler32-1)
+        ("rust-byteorder" ,rust-byteorder-1)
+        ("rust-gzip-header" ,rust-gzip-header-0.3))
        #:cargo-development-inputs
-         (("rust-miniz-oxide" ,rust-miniz-oxide-0.3))))))
+       (("rust-miniz-oxide" ,rust-miniz-oxide-0.3))))))
 
 (define-public rust-deflate-0.7
   (package
@@ -13928,13 +14024,13 @@ (define-public rust-defmac-0.2
     (name "rust-defmac")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "defmac" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "14cqfvc0f1pkd6gdhjxa2wv3iibqprc0n203ims8lvg96752ynfm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "defmac" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "14cqfvc0f1pkd6gdhjxa2wv3iibqprc0n203ims8lvg96752ynfm"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bluss/defmac")
     (synopsis "Macro to define lambda-like macros inline")
@@ -13948,27 +14044,27 @@ (define-public rust-defmac-0.1
     (name "rust-defmac")
     (version "0.1.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "defmac" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "17giv0n0n1r64z0dahfvkjy3ys517jxyhs8sd9lmgvcljpjyryxa"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "defmac" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "17giv0n0n1r64z0dahfvkjy3ys517jxyhs8sd9lmgvcljpjyryxa"))))))
 
 (define-public rust-delta-e-0.2
   (package
     (name "rust-delta-e")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "delta_e" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18rxibmi27ark8vj367qm2iqmv5x293l8fm9ang4y2sv3l251sf5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "delta_e" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18rxibmi27ark8vj367qm2iqmv5x293l8fm9ang4y2sv3l251sf5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-lab" ,rust-lab-0.7))))
@@ -14117,27 +14213,27 @@ (define-public rust-derive-builder-0.9
     (name "rust-derive-builder")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "derive-builder" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1h4f8vnggmpyw27fznl3cpyjrzz1nw5xrxx6ca3zcb3z54hqcrd2"))))
-    (arguments
-      `(#:cargo-inputs
-        (("rust-compiletest-rs" ,rust-compiletest-rs-0.3)
-         ("rust-darling" ,rust-darling-0.10)
-         ("rust-derive-builder-core" ,rust-derive-builder-core-0.9)
-         ("rust-env-logger" ,rust-env-logger-0.5)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-proc-macro2" ,rust-proc-macro2-1)
-         ("rust-quote" ,rust-quote-1)
-         ("rust-skeptic" ,rust-skeptic-0.13)
-         ("rust-syn" ,rust-syn-1))
-        #:cargo-development-inputs
-        (("rust-pretty-assertions" ,rust-pretty-assertions-0.6))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "derive-builder" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1h4f8vnggmpyw27fznl3cpyjrzz1nw5xrxx6ca3zcb3z54hqcrd2"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-compiletest-rs" ,rust-compiletest-rs-0.3)
+        ("rust-darling" ,rust-darling-0.10)
+        ("rust-derive-builder-core" ,rust-derive-builder-core-0.9)
+        ("rust-env-logger" ,rust-env-logger-0.5)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-skeptic" ,rust-skeptic-0.13)
+        ("rust-syn" ,rust-syn-1))
+       #:cargo-development-inputs
+       (("rust-pretty-assertions" ,rust-pretty-assertions-0.6))))))
 
 (define-public rust-derive-builder-0.5
   (package
@@ -14355,9 +14451,9 @@ (define-public rust-derive-new-0.5
      (origin
        (method url-fetch)
        (uri (crate-uri "derive-new" version))
-      (file-name (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32 "1ncibp4jhpkym7namg3viqyw8hljd32n6abg64af8qjwrn91iwvi"))))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1ncibp4jhpkym7namg3viqyw8hljd32n6abg64af8qjwrn91iwvi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -14368,7 +14464,7 @@ (define-public rust-derive-new-0.5
     (synopsis "Simple constructor functions for structs and enums")
     (description "`#[derive(new)]` implements simple constructor functions for
 structs and enums.")
-  (license license:expat)))
+    (license license:expat)))
 
 (define-public rust-des-0.6
   (package
@@ -14522,14 +14618,14 @@ (define-public rust-dialoguer-0.6
     (name "rust-dialoguer")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dialoguer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0f31ahy6myg2vz9xrdmp0vx0m7x427a1wxpgrgwhxd0rgfpqdapl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dialoguer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0f31ahy6myg2vz9xrdmp0vx0m7x427a1wxpgrgwhxd0rgfpqdapl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -14548,14 +14644,14 @@ (define-public rust-dialoguer-0.3
     (name "rust-dialoguer")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dialoguer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1a9gqvqp83gg4jbm286q5ab3l44zyyzlsdaiqmw8x4k80fdc5l8s"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dialoguer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1a9gqvqp83gg4jbm286q5ab3l44zyyzlsdaiqmw8x4k80fdc5l8s"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-test-flags '("--lib")
@@ -14847,14 +14943,14 @@ (define-public rust-digest-0.9
     (name "rust-digest")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "digest" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0rmhvk33rgvd6ll71z8sng91a52rw14p0drjn1da0mqa138n1pfk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "digest" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rmhvk33rgvd6ll71z8sng91a52rw14p0drjn1da0mqa138n1pfk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -15067,13 +15163,13 @@ (define-public rust-dirs-1
     (name "rust-dirs")
     (version "1.0.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dirs" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "009rrhzj9pxyncmm2vhlj70npg0cgggv2hjbbkiwdl9vccq8kmrz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dirs" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "009rrhzj9pxyncmm2vhlj70npg0cgggv2hjbbkiwdl9vccq8kmrz"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -15187,13 +15283,13 @@ (define-public rust-discard-1
     (name "rust-discard")
     (version "1.0.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "discard" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1h67ni5bxvg95s91wgicily4ix7lcw7cq0a5gy9njrybaibhyb91"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "discard" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1h67ni5bxvg95s91wgicily4ix7lcw7cq0a5gy9njrybaibhyb91"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/Pauan/rust-discard")
@@ -15243,14 +15339,14 @@ (define-public rust-dissimilar-1
     (name "rust-dissimilar")
     (version "1.0.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dissimilar" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fwa892hcf7y36b8w41p14b3ld3df389y9jpglkbz55vp7s2jjzw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dissimilar" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fwa892hcf7y36b8w41p14b3ld3df389y9jpglkbz55vp7s2jjzw"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/dtolnay/dissimilar")
     (synopsis "Diff library with semantic cleanup")
@@ -15340,13 +15436,13 @@ (define-public rust-doc-comment-0.3
     (name "rust-doc-comment")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "doc-comment" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "15rsqxgarfpb1yim9sbp9yfgj7p2dq6v51c6bq1a62paii9ylgcj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "doc-comment" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "15rsqxgarfpb1yim9sbp9yfgj7p2dq6v51c6bq1a62paii9ylgcj"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/GuillaumeGomez/doc-comment")
@@ -15647,13 +15743,13 @@ (define-public rust-dtoa-0.4
     (name "rust-dtoa")
     (version "0.4.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dtoa" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0phbm7i0dpn44gzi07683zxaicjap5064w62pidci4fhhciv8mza"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dtoa" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0phbm7i0dpn44gzi07683zxaicjap5064w62pidci4fhhciv8mza"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/dtolnay/dtoa")
@@ -15669,27 +15765,27 @@ (define-public rust-dtoa-0.2
     (name "rust-dtoa")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dtoa" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0g96cap6si1g6wi62hsdk2fnj3sf5vd4i97zj6163j8hhnsl3n0d"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dtoa" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0g96cap6si1g6wi62hsdk2fnj3sf5vd4i97zj6163j8hhnsl3n0d"))))))
 
 (define-public rust-dtoa-short-0.3
   (package
     (name "rust-dtoa-short")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dtoa-short" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wkn7ziqffq8hj0a411lgn7674ackzdk734ikp230rmp2f2hn0jr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dtoa-short" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wkn7ziqffq8hj0a411lgn7674ackzdk734ikp230rmp2f2hn0jr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -15729,6 +15825,66 @@ (define-public rust-dtparse-1
 Rust.")
     (license license:asl2.0)))
 
+(define-public rust-duckscript-0.7
+  (package
+    (name "rust-duckscript")
+    (version "0.7.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "duckscript" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0sa7hpni4al0frrjd5fisb7nfp247rv2hzjpwxbskraqgaqi04lh"))))
+    (build-system cargo-build-system)
+    (arguments `(#:cargo-inputs (("rust-fsio" ,rust-fsio-0.3))))
+    (home-page "http://github.com/sagiegurari/duckscript")
+    (synopsis "Simple, extendable and embeddable scripting language.")
+    (description "Simple, extendable and embeddable scripting language.")
+    (license license:asl2.0)))
+
+(define-public rust-duckscriptsdk-0.8
+  (package
+    (name "rust-duckscriptsdk")
+    (version "0.8.8")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "duckscriptsdk" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0c8fdml1c471nhinacf2wzdd5hs30zvpfv4vhgjsnq6jz7f23chr"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-attohttpc" ,rust-attohttpc-0.18)
+        ("rust-base64" ,rust-base64-0.13)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-colored" ,rust-colored-2)
+        ("rust-duckscript" ,rust-duckscript-0.7)
+        ("rust-fs-extra" ,rust-fs-extra-1)
+        ("rust-fsio" ,rust-fsio-0.3)
+        ("rust-ftp" ,rust-ftp-3)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-heck" ,rust-heck-0.3)
+        ("rust-home" ,rust-home-0.5)
+        ("rust-ignore" ,rust-ignore-0.4)
+        ("rust-java-properties" ,rust-java-properties-1)
+        ("rust-meval" ,rust-meval-0.2)
+        ("rust-num-cpus" ,rust-num-cpus-1)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-sha2" ,rust-sha2-0.9)
+        ("rust-uname" ,rust-uname-0.1)
+        ("rust-walkdir" ,rust-walkdir-2)
+        ("rust-which" ,rust-which-4)
+        ("rust-whoami" ,rust-whoami-1))))
+    (home-page "http://github.com/sagiegurari/duckscript")
+    (synopsis "The duckscript SDK.")
+    (description "The duckscript SDK.")
+    (license license:asl2.0)))
+
 (define-public rust-duct-0.13
   (package
     (name "rust-duct")
@@ -15850,7 +16006,7 @@ (define-public rust-dwrote-0.9
         ("rust-libc" ,rust-libc-0.2)
         ("rust-serde" ,rust-serde-1)
         ("rust-serde-derive" ,rust-serde-derive-1)
-        ;("rust-wio" ,rust-wio-0.2)
+                                        ;("rust-wio" ,rust-wio-0.2)
         ("rust-winapi" ,rust-winapi-0.3))))))
 
 (define-public rust-easy-cast-0.4
@@ -15922,22 +16078,22 @@ (define-public rust-eax-0.3
     (name "rust-eax")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "eax" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0vmpbqncpbj2ldm3fhfz87ija1sk4zk9vad91yd2jjsrbrx6xxz1"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-aead" ,rust-aead-0.3)
-         ("rust-cipher" ,rust-cipher-0.2)
-         ("rust-cmac" ,rust-cmac-0.5)
-         ("rust-ctr" ,rust-ctr-0.6)
-         ("rust-subtle" ,rust-subtle-2))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "eax" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0vmpbqncpbj2ldm3fhfz87ija1sk4zk9vad91yd2jjsrbrx6xxz1"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-aead" ,rust-aead-0.3)
+        ("rust-cipher" ,rust-cipher-0.2)
+        ("rust-cmac" ,rust-cmac-0.5)
+        ("rust-ctr" ,rust-ctr-0.6)
+        ("rust-subtle" ,rust-subtle-2))))
     (home-page "https://docs.rs/eax/")
     (synopsis "Pure Rust implementation of the EAX Authenticated Encryption
 with Associated Data (AEAD)")
@@ -15953,22 +16109,22 @@ (define-public rust-ed25519-1
     (name "rust-ed25519")
     (version "1.0.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ed25519" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "1vxn7x1xinbv1cl31015m0fw08jwkphylxrll17animv9i9nmiip"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ed25519" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1vxn7x1xinbv1cl31015m0fw08jwkphylxrll17animv9i9nmiip"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-serde" ,rust-serde-1)
-         ("rust-signature" ,rust-signature-1))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-serde" ,rust-serde-1)
+        ("rust-signature" ,rust-signature-1))))
     (home-page "")
     (synopsis "Edwards Digital Signature Algorithm (EdDSA) over Curve25519")
     (description
-      "EdDSA over Curve25519 is specified in RFC 8032.  This package contains
+     "EdDSA over Curve25519 is specified in RFC 8032.  This package contains
 an ed25519::Signature type which other packages can use in conjunction with
 the signature::Signer and signature::Verifier traits It doesn't contain an
 implementation of Ed25519.
@@ -15984,29 +16140,29 @@ (define-public rust-ed25519-dalek-1
     (name "rust-ed25519-dalek")
     (version "1.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ed25519-dalek" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "17bsriciv93nkm39z22w7mr0h2a3hnbmgf378v4c895gvkkblqn7"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-curve25519-dalek" ,rust-curve25519-dalek-3)
-         ("rust-ed25519" ,rust-ed25519-1)
-         ("rust-merlin" ,rust-merlin-2)
-         ("rust-rand" ,rust-rand-0.7)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-serde-bytes" ,rust-serde-bytes-0.11)
-         ("rust-sha2" ,rust-sha2-0.9)
-         ("rust-zeroize" ,rust-zeroize-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ed25519-dalek" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "17bsriciv93nkm39z22w7mr0h2a3hnbmgf378v4c895gvkkblqn7"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-curve25519-dalek" ,rust-curve25519-dalek-3)
+        ("rust-ed25519" ,rust-ed25519-1)
+        ("rust-merlin" ,rust-merlin-2)
+        ("rust-rand" ,rust-rand-0.7)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-bytes" ,rust-serde-bytes-0.11)
+        ("rust-sha2" ,rust-sha2-0.9)
+        ("rust-zeroize" ,rust-zeroize-1))))
     (home-page "https://dalek.rs")
     (synopsis "Ed25519 EdDSA key generations, signing, and verification")
     (description
-      "This package provides fast and efficient ed25519 EdDSA key generations,
+     "This package provides fast and efficient ed25519 EdDSA key generations,
 signing, and verification in pure Rust.")
     (license license:bsd-3)))
 
@@ -16015,14 +16171,14 @@ (define-public rust-edit-distance-2
     (name "rust-edit-distance")
     (version "2.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "edit-distance" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0yq3wlmd7ly22qxhfysi77qp31yvpx2ll9waa75bkpiih7rsmfmv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "edit-distance" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0yq3wlmd7ly22qxhfysi77qp31yvpx2ll9waa75bkpiih7rsmfmv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -16103,14 +16259,14 @@ (define-public rust-emacs-0.11
     (name "rust-emacs")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "emacs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1xn6nr8m3p24irlmv3i7c9n95yb10qc6aikwqv99qlmhbky5x0z7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "emacs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1xn6nr8m3p24irlmv3i7c9n95yb10qc6aikwqv99qlmhbky5x0z7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -16134,14 +16290,14 @@ (define-public rust-emacs-macros-0.11
     (name "rust-emacs-macros")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "emacs-macros" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0390y8vafxdi334hhgrzvcqjq3n5ckcmvilqcfp8vajjq8irrly6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "emacs-macros" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0390y8vafxdi334hhgrzvcqjq3n5ckcmvilqcfp8vajjq8irrly6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -16158,14 +16314,14 @@ (define-public rust-emacs-module-0.10
     (name "rust-emacs-module")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "emacs_module" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1gf9lz735xbkyir53dyv362drfx3nin5an5cx39kd8q8kjjwix5g"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "emacs_module" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1gf9lz735xbkyir53dyv362drfx3nin5an5cx39kd8q8kjjwix5g"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -16628,14 +16784,14 @@ (define-public rust-enum-as-inner-0.2
     (name "rust-enum-as-inner")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "enum-as-inner" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0zg3h7k3g1z7a9ayqy63sk302d4dg5g2h274ddv80mj4jxn2cn1x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "enum-as-inner" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0zg3h7k3g1z7a9ayqy63sk302d4dg5g2h274ddv80mj4jxn2cn1x"))))
     (arguments
      `(#:cargo-inputs
        (("rust-proc-macro2" ,rust-proc-macro2-0.4)
